- Qt 6.10
- Qt Core
- Obsolete Members for <QtDeprecationMarkers>
- Qt 6.10.2 Reference Documentation

# Obsolete Members for <QtDeprecationMarkers>

The following members of class <QtDeprecationMarkers> are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Macros

`(deprecated in 6.5)` | QT_DISABLE_DEPRECATED_BEFORE

## Macro Documentation

### `[deprecated in 6.5]` QT_DISABLE_DEPRECATED_BEFORE

This macro is deprecated since 6.5. We strongly advise against using it in new code.

Use QT_DISABLE_DEPRECATED_UP_TO instead

See also QT_DISABLE_DEPRECATED_UP_TO.